#include <glib-object.h>
#include "gmyth.h"

int
main (int args, const char **argv)
{
    GMythBackendInfo *backend_info;
    g_type_init ();
    g_thread_init (NULL);

    backend_info = gmyth_backend_info_new ();

    gmyth_backend_info_set_hostname (backend_info, "localhost");
    gmyth_backend_info_set_port (backend_info, 6543);
    
    GString *command = g_string_new(argv[1]);

    GString *new_command = gmyth_http_create_command(command, "ChanId", "1001", "StartTime", "2006-12-20T00:05:00", NULL);
    GString *result = gmyth_http_request(backend_info, new_command);

    printf("%s", result->str);

    return 0;    
}
